MappingCharFilterFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.analysis.MappingCharFilterFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.analysis
Class MappingCharFilterFactory

    java.lang.Object
      org.apache.solr.analysis.BaseCharFilterFactory
          org.apache.solr.analysis.MappingCharFilterFactory

All Implemented Interfaces:
  CharFilterFactory, MultiTermAwareComponent, ResourceLoaderAware

    public class MappingCharFilterFactory

extends BaseCharFilterFactory
implements ResourceLoaderAware, MultiTermAwareComponent

Factory for `MappingCharFilter`.

     <fieldType name="text_map" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <charFilter class="solr.MappingCharFilterFactory" mapping="mapping.txt"/>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
       </analyzer>
     </fieldType>

Since:
  Solr 1.4
Version:
  $Id: MappingCharFilterFactory.java 1207001 2011-11-28 07:47:07Z uschindler $

Field Summary
`protected NormalizeCharMap` | `normMap`

Fields inherited from class org.apache.solr.analysis.BaseCharFilterFactory
`args, log`

Constructor Summary
`MappingCharFilterFactory()`

Method Summary
`CharStream` | `create(CharStream input)`
`Object` | `getMultiTermComponent()` Returns an analysis component to handle analysis if multi-term queries.
`void` | `inform(ResourceLoader loader)`
`protected void` | `parseRules(List<String> rules, NormalizeCharMap normMap)`
`protected String` | `parseString(String s)`

Methods inherited from class org.apache.solr.analysis.BaseCharFilterFactory
`getArgs, getInt, getInt, getInt, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### normMap

    protected NormalizeCharMap normMap

Constructor Detail

### MappingCharFilterFactory

    public MappingCharFilterFactory()

Method Detail

### inform

    public void inform(ResourceLoader loader)

  Specified by:
    `inform` in interface `ResourceLoaderAware`

### create

    public CharStream create(CharStream input)

  Specified by:
    `create` in interface `CharFilterFactory`

### parseRules

    protected void parseRules(List<String> rules,
                              NormalizeCharMap normMap)

### parseString

    protected String parseString(String s)

### getMultiTermComponent

    public Object getMultiTermComponent()

  Description copied from interface: `MultiTermAwareComponent`
  Returns an analysis component to handle analysis if multi-term queries. The returned component must be a TokenizerFactory, TokenFilterFactory or CharFilterFactory.

  Specified by:
    `getMultiTermComponent` in interface `MultiTermAwareComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD